%define upstream_name    CGI-Emulate-PSGI
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PSGI adapter for CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows an application designed for the CGI environment to run in a
PSGI environment, and thus on any of the backends that PSGI supports.

It works by translating the environment provided by the PSGI specification to
one expected by the CGI specification. Likewise, it captures output as it would
be prepared for the CGI standard, and translates it to the format expected for
the PSGI standard using CGI::Parse::PSGI module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

#%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.220.0-3pclos2017
- rebuild against updates

